#ifndef ABSTRACTFORM_H
#define ABSTRACTFORM_H

#include <QWidget>
#include <QLabel>
#include <QVBoxLayout>
#include <QSqlRecord>
class AbstractForm : public QWidget
{
    Q_OBJECT
public:
    explicit AbstractForm(QWidget *parent = 0);
    void setMainWidget(QWidget * widget);
    void setTitle(const QString& title);
    void setIcon(const QIcon& icon);

signals:

public slots:
    virtual void save() = 0;
    virtual void load(QSqlRecord record) = 0;
private:
    QLabel * mTitleLabel;
    QLabel * mIconLabel;
    QVBoxLayout * mWidgetLayout;

};

#endif // ABSTRACTFORM_H
