#ifndef FORMBOX_H
#define FORMBOX_H

#include <QGroupBox>
#include <QLineEdit>
#include <QComboBox>
#include "fieldlistwidget.h"

#include "fields/intfieldwidget.h"
#include "fields/stringfieldwidget.h"
#include "fields/datefieldwidget.h"
#include "fields/boolfieldwidget.h"
#include "fields/modelfieldwidget.h"
#include "fields/commentfieldwidget.h"
#include "fields/thematiquefieldwidget.h"

class FormBox : public QGroupBox
{
    Q_OBJECT
public:
    explicit FormBox(QWidget *parent = 0);
    FieldListWidget * fieldListWidget()
    {
        return mFieldListWidget;
    }

signals:

public slots:
void filter(QString filter);
private:
    FieldListWidget * mFieldListWidget;
    QLineEdit *mSearchLineEdit;
    QComboBox * mComboBox;
};

#endif // FORMBOX_H
