#include "annuaireform.h"

AnnuaireForm::AnnuaireForm(QWidget *parent) :
        AbstractForm(parent)
{
mFgb = new FieldListGroupBox("annuaires");
setMainWidget(mFgb);
setTitle("annuaire");

setupUi();

}
void AnnuaireForm::setupUi()
{
    mFgb->fieldList()->addField("photo","photo", new PhotoFieldWidget);
    mFgb->fieldList()->addField("nom","nom", new StringFieldWidget);
    mFgb->fieldList()->addField("prenom","prenom", new StringFieldWidget);
    mFgb->fieldList()->addField("adresse","adresse", new StringFieldWidget);
    mFgb->fieldList()->addField("code postal","code_postal", new StringFieldWidget);
    mFgb->fieldList()->addField("ville","ville", new StringFieldWidget);
    mFgb->fieldList()->addField("pays","pays", new StringFieldWidget);
    mFgb->fieldList()->addField("telephone principal","telephone", new StringFieldWidget);
    mFgb->fieldList()->addField("telephone secondaire","telephone2", new StringFieldWidget);
    mFgb->fieldList()->addField("numero de poste","poste", new StringFieldWidget);
    mFgb->fieldList()->addField("email","email", new MailFieldWidget);
    mFgb->fieldList()->addField("fax","fax", new StringFieldWidget);


}

void AnnuaireForm::save()
{
mFgb->fieldList()->save();
}

void AnnuaireForm::load(QSqlRecord record)
{
mFgb->fieldList()->load(record);
}
